Bug 1477655 (CVE-2017-12135, xsa226) - CVE-2017-12135 xsa226 xen: possibly unbounded recursion in grant table code (XSA-226)
Summary: CVE-2017-12135 xsa226 xen: possibly unbounded recursion in grant table code (...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12135, xsa226
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20170815,repo...
Depends On: 1481765
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-02 14:42 UTC by Adam Mariš
Modified: 2019-06-08 22:12 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-24 09:23:07 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-02 14:42:56 UTC
ISSUE DESCRIPTION
=================

Code to handle copy operations on transitive grants has built in retry
logic, involving a function reinvoking itself with unchanged
parameters.  Such use assumes that the compiler would also translate
this to a so called "tail call" when generating machine code.
Empirically, this is not commonly the case, allowing for theoretically
unbounded nesting of such function calls.

IMPACT
======

A malicious or buggy guest may be able to crash Xen.  Privilege
escalation and information leaks cannot be ruled out.

VULNERABLE SYSTEMS
==================

All versions of Xen are vulnerable.

MITIGATION
==========

There is no known mitigation.

External References:

http://xenbits.xen.org/xsa/advisory-226.html

Comment 2 Adam Mariš 2017-08-15 12:39:44 UTC
Acknowledgments:

Name: the Xen project
Upstream: Jan Beulich (SUSE)

Comment 3 Adam Mariš 2017-08-15 16:14:32 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1481765]


Note You need to log in before you can comment on or make changes to this bug.